Attribute VB_Name = "modWeather"
Public tp$, Ready As Boolean, frmLeft!, frmTop!

Private Function X!(ByVal t!)
X = t / Screen.TwipsPerPixelX
End Function

Private Function Y!(ByVal t!)
Y = t / Screen.TwipsPerPixelY
End Function

Public Sub Wait()
Dim i&
While i < 10000
    DoEvents
    i = i + 1
Wend
End Sub

Public Sub Main()
If X(Screen.Width) < 1024 And Y(Screen.Height) < 768 Then
    MsgBox "Please set your screen resolution to at least 1024 x 768. If you can't, too bad!", 64, "Screen Resolution Too Small"
    End
Else
    frmMain.Show
End If
End Sub

Public Sub AnyLoad()
If frmOptions.Check3.Value = 1 Then
    frmMain.LoadLoopingPic
Else
    frmMain.LoadPic
End If
End Sub

Public Sub SaveSettings(Optional Closing As Boolean = False)
If Closing Then
    SaveSetting App.Title, "SelectedCity", "Value", frmMain.Combo1.ListIndex
    SaveSetting App.Title, "Position", "Left", frmLeft
    SaveSetting App.Title, "Position", "Top", frmTop
Else
    With frmOptions
        SaveSetting App.Title, "Options", "UseNormal", .Option3.Value
        SaveSetting App.Title, "Options", "UseOneHour", .Option1.Value
        SaveSetting App.Title, "Options", "UseStormTotal", .Option2.Value
        SaveSetting App.Title, "Options", "UseShortRange", .Check1.Value
        SaveSetting App.Title, "Options", "UseComposite", .Check2.Value
        SaveSetting App.Title, "Options", "Loop", .Check3.Value
    End With
End If
End Sub

Private Function ZeroOrOne(ByVal Value As Integer) As Boolean
Select Case Value
    Case 0, 1: ZeroOrOne = True
    Case Else: ZeroOrOne = False
End Select
End Function

Public Sub GetSettings(Optional GetCombo As Boolean = False)
On Error Resume Next
Dim cmb$, o1$, o2$, o3$, c1$, c2$, c3$, s1$, s2$

If GetCombo Then cmb = GetSetting(App.Title, "SelectedCity", "Value", 0)
o1 = GetSetting(App.Title, "Options", "UseNormal", True)
o2 = GetSetting(App.Title, "Options", "UseOneHour", False)
o3 = GetSetting(App.Title, "Options", "UseStormTotal", False)
c1 = GetSetting(App.Title, "Options", "UseShortRange", 1)
c2 = GetSetting(App.Title, "Options", "UseComposite", 0)
c3 = GetSetting(App.Title, "Options", "Loop", 0)
If GetCombo Then
    s1 = GetSetting(App.Title, "Position", "Left", 240)
    s2 = GetSetting(App.Title, "Position", "Top", 240)
End If

If GetCombo Then If Not IsNumeric(cmb) Then cmb = 0 Else If (cmb < 0 Or cmb > 154) Then cmb = 0
If Not (LCase$(o1) = "true" Or LCase$(o1) = "false") Then o1 = True
If Not (LCase$(o2) = "true" Or LCase$(o2) = "false") Then o2 = False
If Not (LCase$(o3) = "true" Or LCase$(o3) = "false") Then o3 = False
If Not IsNumeric(c1) Then c1 = 1 Else If Not ZeroOrOne(c1) Then c1 = 1
If Not IsNumeric(c2) Then c2 = 0 Else If Not ZeroOrOne(c2) Then c2 = 0
If Not IsNumeric(c3) Then c3 = 0 Else If Not ZeroOrOne(c3) Then c3 = 0

If GetCombo Then
    If Not IsNumeric(s1) Then s1 = 240
    If Not IsNumeric(s2) Then s2 = 240
    
    frmMain.Combo1.ListIndex = cmb
    LastIndex = cmb
    With frmMain
        frmLeft = s1
        .Left = frmLeft
        frmTop = s2
        .Top = frmTop
        .Timer4.Enabled = True
    End With
End If

With frmOptions
    .Option3.Value = o1
    .Option1.Value = o2
    .Option2.Value = o3
    .Check1.Value = c1
    .Check2.Value = c2
    .Check3.Value = c3
End With
End Sub

Public Sub SetType(Optional ThruOptions As Boolean = True)
With frmOptions
    If .Option3.Value Then
        Select Case .Check1
            Case 1
                Select Case .Check2
                    Case 1: tp = "p37cr"
                    Case Else: tp = "p19r0"
                End Select
            Case Else
                Select Case .Check2
                    Case 1: tp = "p38cr"
                    Case Else: tp = "p20-r"
                End Select
        End Select
    ElseIf .Option1.Value Then
        tp = "78ohp"
    ElseIf .Option2.Value Then
        tp = "80stp"
    End If
    If ThruOptions Then OptionsChanged = True
End With
End Sub
